org.apache.mina.coap.resource

## Interface ResourceHandler

All Known Implementing Classes:
  AbstractResourceHandler

    public interface ResourceHandler

A resource handler for a given path.

Author:
  Apache MINA Project

### Method Summary

Methods
`String` `getInterface()` Interface name of this resource (or `null`), can be an URL to a WADL file.
`String` `getPath()` The path served by this resource handler.
`String` `getResourceType()` Resource type (or `null`).
`String` `getTittle()` Detailed title for this path (or `null`).
`CoapResponse` `handle(CoapMessage request, IoSession session)` Generate the response for this request.

### Method Detail

#### getPath

    String getPath()

The path served by this resource handler.

#### getTittle

    String getTittle()

Detailed title for this path (or `null`). See http://datatracker.ietf.org/doc/rfc6690/

#### getInterface

    String getInterface()

Interface name of this resource (or `null`), can be an URL to a WADL file. See http://datatracker.ietf.org/doc/rfc6690/

#### getResourceType

    String getResourceType()

Resource type (or `null`). See http://datatracker.ietf.org/doc/rfc6690/

#### handle

    CoapResponse handle(CoapMessage request,
                      IoSession session)

Generate the response for this request.

Parameters:
  `request` - the request to serve
  `session` - the session which receive the request
Returns:
  the response